function love.load()
	sprite_sheet1 = love.graphics.newImage("/sprite_sheet1.png")
	
	sprite = {}
	
	local spriteNum = 7
	
	for i=1, spriteNum do
		sprite[i] = love.graphics.newQuad(-32 + (32 * i),0,32,32,sprite_sheet1:getWidth(),sprite_sheet1:getHeight())
	end
	
	player_x = 200
	player_y = 200
	player_r = 0
	
	love.graphics.setBackgroundColor(100,100,100)
	
	love.graphics.setDefaultFilter('nearest','nearest')
end

function love.draw()
	for i, v in ipairs(sprite) do
		love.graphics.draw(sprite_sheet1,sprite[i],player_x,player_y - 2 * (i - 1),player_r,1,1,16,16)
	end
end

function love.update(dt)
	if love.keyboard.isDown("right") then
		player_r = player_r + 0.05
	end
	if love.keyboard.isDown("left") then
		player_r = player_r - 0.05
	end
end

function love.keypressed(key)
	if key == "escape" then
		love.event.quit()
	end
end